# Project id generator

This is a small tool to generate unique id from JIRA project key.

Main reason for creating this tool was a huge amount of projects in JIRA for which I had to create corresponding project id prefix on the build server.

## Background

Suppose you have a JIRA project and its key is "TEST" (i.e. all related issues would look like TEST-1, TEST-2 and etc.). At the same time, assuming on the build server one like to use incremental build numbers for all projects. In this case, using "just" build number for every project makes it difficult to create overview and see which builds amongs all projects are failing or passing. 

## Usage

To have some connection with project key in JIRA and build project on the build server, I created this tool. To generate project id out of JIRA key one would need to do only the following:

```
$: project_id -k TEST
TEST => 1026
```

Then this number would be possible to use as a prefix for project on the build server and create unique incremental builds for every project like:

Project TEST | Project TWOTHINGS
--- | ---
10261 | 358541
10262 | 358542
10261 | 358543

## License

(The MIT License)

See LICENSE.txt .

